Skip to main content
PUT
/
cards
/
{cardPublicId}
Update a card
curl --request PUT \
  --url https://kan.bn/api/v1/cards/{cardPublicId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "index": 123,
  "listPublicId": "<string>",
  "dueDate": "<string>"
}
'
import requests

url = "https://kan.bn/api/v1/cards/{cardPublicId}"

payload = {
"title": "<string>",
"description": "<string>",
"index": 123,
"listPublicId": "<string>",
"dueDate": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
index: 123,
listPublicId: '<string>',
dueDate: '<string>'
})
};

fetch('https://kan.bn/api/v1/cards/{cardPublicId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "publicId": "<string>",
  "title": "<string>",
  "description": "<string>",
  "dueDate": "<string>"
}
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cardPublicId
string
required
Minimum string length: 12

Body

application/json
title
string
Required string length: 1 - 2000
description
string
index
number
listPublicId
string
Minimum string length: 12
dueDate
string | null

Response

Successful response

publicId
string
required
title
string
required
description
string | null
required
dueDate
string | null
required